/*
Theme Name: Number Three One - Child
Theme URI: https://standoutmedia.dk/
Author: Standoutmedia A/S
Author URI: https://standoutmedia.dk/
Description: Et helt specielt Standoutmedia Tema
Template: number-three-one
Text Domain: number-three-child
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/


/* ===== CSS Variables ===== */

:root {
    /* Font sizes */
    --h1: 34px;
    --h2: 34px;
    --h3: 24px;
    --h4: 22px;
    --h5: 16px;
    --h6: 14px;
    --p: 14px;

    /* Gaps */
    --gap-l: 90px;
    --gap-m: 40px;
    --gap-s: 20px;

    /* font families */
    --h-fam: 'Source Sans 3', sans-serif;
    --p-fam: 'Source Sans 3', sans-serif;
    --btn-fam: var(--p-fam);

    /* colors */
    --color-1: #a93d31;
    --color-2: #a93d31;
    --color-bg: #f6f6f6;
    --color-text: #222;
    --color-dark: #a93d31;
    --color-overlay: rgb(0 0 0 / 45%);

    /* transitions */
    --transition: .175s ease-out;

    /* Margin on the right and left of the main content sections (change 0 to 1 to match template distances)*/
    --content-margin: calc(0 * var(--gap-m));
    --slider-text-width: 800px;
    
    /* Theme defined variables from PHP */
    --content-width: initial;
    --sidebar-width: initial;
    /* END Theme defined variables from PHP */
}





/* ===== END CSS Variables ===== */


/*======================================================================//
// style.css                                                            //
//======================================================================*/


/* Generel */
body:not(.no-sidebar) #primary {
    float: right;
    width: calc(100% - var(--sidebar-width) - 50px);
}

#secondary {
    float: left;
    position: sticky;
    top: 150px;
}

p {
    margin: 0 0 1.25em;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 450;
    margin-bottom: 10px;
    text-transform: uppercase;
}

#main-content #content {
    margin-top: var(--gap-l);
    min-height: calc(100vh - var(--header-height) - (2 * var(--gap-l)) - 108px - 57px);
    /* min-height: calc(70vh - var(--header-height)); */
}

.stom-button a {
    display: inline-block;
    font-size: var(--p);
    font-weight: 400;
    padding: 10px 30px;
    background-color: var(--color-1);
    border: 1px solid var(--color-1)
}

.stom-button a:hover {
    background-color: #fff;
    border-color: var(--color-1);
    color: var(--color-1);
}

blockquote {
    border-left: 1px solid var(--color-1);
    margin-inline: 0;
    font-style: italic;
    padding-left: 1em;
    margin-bottom: 1.25em;
    color: #a1a1a1;
}

.stom-grid-section .grid-element .overlay {
    justify-content: flex-start;
}

/* Logo + Menu */
#primary-menu {
    align-items: center;
}

header#masthead {
    border-bottom: 1px solid #000;
}

header .main-navigation ul.menu a {
    font-size: 16px;
    padding: .7em 1em;
    color: var(--color-text);
}

.hover-style-bold ul.menu li:hover>a, 
.hover-style-bold ul.menu li.focus>a, 
.hover-style-bold ul.menu .current-menu-item>a, 
.hover-style-bold ul.menu .current-menu-ancestor>a {
    font-weight: 400;
    color: var(--color-1);
}

header .main-navigation ul.menu a .stom-menu-item-arrow {
    opacity: 1;
    font-size: 10px;
    margin-left: .5em;
}

#primary-menu li.menu-item-has-children ul.sub-menu li.menu-item a {
    font-size: var(--p);
    width: 325px;
}

#primary-menu li.menu-item-has-children ul.sub-menu li.menu-item a .hidden-menu-item {
    justify-content: flex-start;
    padding: .7em 1em;
}

.header-sticky-active.scrolled header .site-branding #logo {
    padding-block: var(--gap-s);
}

.site-branding #logo img, 
.site-branding #logo svg {
    max-width: 170px;
    max-height: 150px;
    width: auto;
    height: auto;
}

.header-sticky-active.scrolled header .site-branding #logo img.logo-landscape {
    max-height: 100px;
}



/* Header */

/* Frontpage */
.section-wrap.clear.reference-section .section .grid-elements .grid-element:not(.heading) {

}

.section-wrap.clear.reference-section .section .grid-elements .grid-element:not(.heading):not(:last-of-type) {
    border-bottom: 1px solid #000;
    padding-bottom: var(--gap-l);
    margin-bottom: var(--gap-m);
}

.section-wrap.clear.reference-section .section .grid-elements .grid-element:not(.heading) .overlay:after {
    display: none;
}

.section-wrap.clear.reference-section .section .grid-elements .grid-element:not(.heading) .overlay {
    display: grid;
    grid-template-columns: 300px 1fr;
    column-gap: var(--gap-l);
}

.section-wrap.clear.reference-section .section .grid-elements .grid-element:not(.heading) .overlay .content > h4 {
    margin-top: 30px;
}

.section-wrap.clear.reference-gallery-section .section > h2 {
    text-align: center;
}

.section-wrap.clear.reference-gallery-section .section .gallery {
    margin-top: var(--gap-m);
}

.section-wrap.clear.reference-gallery-section .section .gallery .gallery-item {
    pointer-events: none;
    margin: 0;
}

.section-wrap.clear.reference-gallery-section .section .gallery .gallery-item .gallery-icon > a img {
    width: 100%;
    height: 140px;
    object-fit: contain;
    background-color: #fff;
    border: 1px solid #000;
    padding: 20px;
}

body.reference-page .section-wrap.clear.contact-footer-section {
    margin-top: 0;
}

/* Subpages */
.entry-content > p a,
.entry-content > ul li a,
.entry-content > ol li a {
    color: var(--color-1);
    text-decoration: none;
    white-space: nowrap;
}

.entry-content > p a:hover,
.entry-content > ul li a:hover,
.entry-content > ol li a:hover {
    text-decoration: underline;
}

.entry-content > h3 {
    margin-top: 40px;
}

.entry-content > ul ul {
    margin-left: 0;
}

.entry-content .stom-button + p {
    margin-top: 1.5em;
}

/* Sidebar */
.widget-area .widget:not(.widget_search):not(.widget_instagram-feed-widget):not(.widget-no-border) {
    background-color: #f1f1f1;
}

.widget-area .widget .widget-title-icon, 
.widget-area .widget .widget-title {
    color: var(--color-text);
}

/* Colophon */
.footer-setting-02 .footer-widget-area-site-info .section {
    border-top: none;
}

.section-wrap.clear.contact-footer-section {
    border-top: 1px solid #000;
    margin-inline: 0;
    background-color: #fff;
}

.section-wrap.clear.contact-footer-section .section {
    padding-block: var(--gap-m);
    padding-inline: var(--gap-m);
    max-width: calc(var(--content-width) + 80px);
}

.section-wrap.clear.contact-footer-section .section p {
    font-size: 16px;
    text-transform: uppercase;
}

.section-wrap.clear.contact-footer-section .section p a {
    color: var(--color-1);
    text-decoration: none;
}

.section-wrap.clear.contact-footer-section .section p a:hover {
    text-decoration: underline;
}

/* #colophon.footer-setting-02 {
    position: fixed;
    bottom: 0;
    width: 100%;
}

.section-wrap.clear.contact-footer-section {
    position: fixed;
    bottom: 57px;
    width: 100%;
} */

#colophon .copyright {
    font-size: var(--p);
    /* background-color: #fff; */
    /* border-top: 1px solid #000; */
    /* color: var(--color-text); */
}

#colophon .copyright .section .footer-widgets .widget .textwidget > ul {
    display: flex;
    align-items: center;
}

#colophon .copyright .section .footer-widgets .widget .textwidget > ul li {
    font-weight: 400;
    text-transform: uppercase;
}

#colophon .copyright .section .footer-widgets .widget .textwidget > ul li:not(:last-of-type):after {
    content: '|';
    margin: 0 10px;
}


/*  */
.info-box {
    border: 1px solid #000;
    padding: 30px;
    margin-bottom: 1.5em;
}

.section-wrap.clear.contact-section {
    margin-top: var(--gap-l) !important;
}

.section-wrap.clear.contact-section .section .grid-elements {
    gap: 0;
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.info {
    /* grid-column: span 2; */
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.caption .overlay {
    padding: 0;
    justify-content: flex-end;
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.caption .overlay > p {
    display: block;
    padding: 5px;
    color: #fff;
    font-size: 12px;
    font-style: italic;
    background-color: rgba(255, 255, 255, .4);
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element .overlay > h3 {
    margin-bottom: 20px;
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.info .overlay > p a {
    color: var(--color-1);
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.info .overlay .profile-image {
    margin-top: var(--gap-s);
}

.section-wrap.clear.contact-section .section .grid-elements .grid-element.info .overlay .profile-image > p img {
    max-width: 140px;
}

.gform_wrapper form .gform_body {
    padding-top: 0 !important;
}

.gform_wrapper form .gform_body .gform_fields .stomGFAS-container-field .stomGFAS-inner {
    max-width: 100%;
    width: 100%;
    background-color: #fff;
    box-shadow: none;
    border-radius: 0;
}

.gform_wrapper form .gform_footer {
    margin: 30px 0 0 !important;
}

.gform_wrapper form .gform_footer .gform_button {
    display: inline-block;
    font-size: var(--p);
    font-weight: 400;
    padding: 10px 30px;
    background-color: var(--color-1);
    border: 1px solid var(--color-1);
    height: 43px;
}

.gform_wrapper form .gform_footer .gform_button:hover {
    background-color: #fff;
    border-color: var(--color-1);
    color: var(--color-1);
}

/*======================================================================//
// END style.css                                                        //
//======================================================================*/


/*======================================================================//
// woocommerce.css                                                      //
//======================================================================*/


/* Sidebar navigation */
body,
body #page {
    overflow: visible;
}



.widget-area .widget:not(.widget_search):not(.widget_instagram-feed-widget):not(.widget-no-border).widget-nav {
    /* padding: 0; */
    padding: 40px var(--gap-m);
}

.widget-nav ul.menu {
    padding-left: 0;
}

.widget-nav ul.menu li.menu-item {
    list-style-type: none;
}

.widget-nav ul.menu li.menu-item a {
    display: block;
    width: 100%;
    padding: 15px 20px;
    text-decoration: none;
    transition: var(--transition);
}

.widget-nav ul.menu li.menu-item a:hover {
    /* background-color: #ffedd7; */
    /* font-weight: 600; */
    text-decoration: underline;
}

.widget-nav ul.menu > li.menu-item.current-menu-item {
    display: block !important;
}

.widget-nav ul.menu > li.menu-item:not(.current-menu-ancestor) {
    display: none;
}

.widget-nav ul.menu > li.menu-item.current-menu-item > a,
.widget-nav ul.menu > li.menu-item.current-menu-ancestor > a {
    font-size: 15px;
    /* font-weight: 600; */
    /* font-size: calc(var(--h4) + 5px); */
    /* font-family: var(--h-fam); */
    /* color: var(--color-bg); */
    /* background-color: var(--color-1); */
    padding: 0;
    font-weight: 600;
    margin-bottom: 5px;
}

.widget-nav ul.menu > li.menu-item.current-menu-ancestor ul.sub-menu li.current-menu-item > a {
    font-weight: 600;
    /* color: #b22c28; */
    /* text-decoration: ; */
}

.widget-nav ul.menu li.menu-item > ul.sub-menu {
    margin-left: 0;
    padding-left: 1.5em;
}

.widget-nav ul.menu li.menu-item-has-children > a .stom-menu-item-arrow {
    display: none;
}

.widget-nav ul.menu li.menu-item-has-children ul.sub-menu li.menu-item {
    list-style-type: inherit;
}

.widget-nav ul.menu li.menu-item-has-children ul.sub-menu li.menu-item a {
    /* border-top: 1px solid var(--color-1); */
    font-size: 15px;
    font-weight: 400;
    padding: 0;
}

.widget-nav ul.menu li.menu-item-has-children ul.sub-menu > li.menu-item-has-children > ul.sub-menu {
    padding-bottom: 5px;
}

.widget-nav ul.menu li.menu-item-has-children ul.sub-menu > li.menu-item-has-children > ul.sub-menu li.menu-item a {
    position: relative;
    /* padding-left: 35px; */
    padding: 10px 20px;
    border-top: none;
}

.widget-nav ul.menu li.menu-item-has-children ul.sub-menu > li.menu-item-has-children > ul.sub-menu li.menu-item a:before {
    content: '-';
    margin-right: .5em;
}

/*======================================================================//
// END woocommerce.css                                                  //
//======================================================================*/

#number-three-sticky-mobile-cta .cta-container .stom-button a {
    flex-direction: row;
    gap: 8px;
    font-size: var(--p);
    background-color: #fff;
    /* background-color: #424e4e;
    color: #fff; */
}

#number-three-sticky-mobile-cta .cta-container .stom-button:not(:last-child) a {
    border-right-color: var(--color-1);
}